const express = require('express');
const router = express.Router();
const { getFinancialSummary,getDailySummary ,getAllBranchSummary} = require('../controllers/financialSummaryController');
const { getMergedSummary,runSummary } = require('../controllers/mergedDataController');

// Route to fetch the financial summary for a specific company and branch
router.get('/', getDailySummary);
router.get('/allBranch', getAllBranchSummary);
router.get('/fSummary', getFinancialSummary);
router.get('/merged', getMergedSummary);
router.get('/interval', runSummary);

module.exports = router;
